import React from "react";
import { yearToDay } from "../services/app/General";

const GENERALDATA = {
    appBrand: "FORSTAFF",
    appUriUniq: "r",
    appBrandHtml: "FOR<strong>STAFF</strong>",
    appBrandCompany: "PT. GUNA TEKNOLOGI NUSANTARA",
    gutter: 18,
    apiPrefix: "bearer",
    // apiUrl: 'http://localhost/gtn_forstaff_api/public/v1',
    // apiUrl: 'http://api.forstaff.id/v1',
    apiUrl: "https://api-dev.forstaff.id/v1",
    // apiUrl: "http://localhost:8888/megaeMamp/forstaff/api/public/v1",
    // apiUrl: "http://localhost/megae/forstaff/api/public/v1",
    loading: {
        indicator: <img src={require("../images/forstaff_loading.gif")} alt={"Loading ..."} style={{ height: "200px", width: "200px" }} />,
        tip: "Loading ...",
    },
    socialMedia: {
        instagram: {
            label: "@forstaff.id",
            icon: "instagram",
            route: "https://www.instagram.com/forstaff.id/",
        },
        facebook: {
            label: "forstaff.id",
            icon: "facebook",
            route: "https://www.facebook.com/forstaff.id",
        },
        linkedin: {
            label: "forstaff-id",
            icon: "linkedin",
            route: "https://www.linkedin.com/in/forstaff-id/",
        },
        twitter: {
            label: "forstaff_id",
            icon: "twitter",
            route: "https://twitter.com/forstaff_id",
        },
    },
    contact: {
        phone: {
            label: "081 934 364 063",
            icon: "phone",
            route: "tel:081934364063",
        },
        email: {
            label: "support@forstaff.id",
            icon: "mail",
            route: "mailto:support@forstaff.id",
        },
    },
    primaryMenu: {
        dashboard: {
            label: "Dashboard",
            icon: "dashboard",
            route: "dashboard",
        },
        profile: {
            label: "Profil",
            icon: "user",
            route: "profil",
        },
        profileDetil: {
            label: "Profil Detil",
            icon: "user",
            route: "profil/detil",
        },
        settings: {
            label: "Pengaturan",
            icon: "setting",
            route: "pengaturan",
        },
        logout: {
            label: "Logout",
            icon: "logout",
            route: "logout",
        },
        releaseNote: {
            label: "Catatan Rilis",
            icon: "read",
            route: "catatan-rilis",
        },
        officialWeb: {
            label: "Web Resmi",
            icon: "global",
            route: "http://www.forstaff.id",
        },
        errorReport: {
            label: "Lapor Error",
            icon: "bug",
            route: "error-report",
        },
        logListPersonal: {
            label: "Lihat Semua Log Personal",
            icon: "ordered-list",
            route: "logs-activity-personal",
        },
        logListAll: {
            label: "Lihat Semua Log Staff",
            icon: "ordered-list",
            route: "logs-activity-all",
        },

        dashboard_hrd: {
            label: "Dashboard HRD",
            icon: "dashboard",
            route: "dashboard-hrd",
            variable: "dashboard_hrd",
            sub_menu: {
                1: {
                    label: "View Page",
                    icon: "",
                    route: "dashboard-hrd",
                    img: require("../images/theme-1/settings.png"),
                    variable: "dashboard_hrd_view",
                    action: [
                        "total_staff",
                        "total_absence",
                        "total_reward",
                        "total_punishment",
                        "staff_attendence_chart",
                        "staff_sanksi_punishment_chart",
                        "log_personal",
                        "log_all",
                        "birthday_notification",
                    ],
                },
            },
        },

        dashboard_staff: {
            label: "Dashboard Staff",
            icon: "dashboard",
            route: "dashboard-staff",
            variable: "dashboard_staff",
            sub_menu: {
                1: {
                    label: "View Page",
                    icon: "",
                    route: "dashboard-staff",
                    img: require("../images/theme-1/settings.png"),
                    variable: "dashboard_staff_view",
                    action: ["staff_info", "absence_summary", "kpi_chart", "shift_schedule", "announcement", "news"],
                },
            },
        },
        sop_management: {
            label: "Manajemen SOP",
            icon: "appstore",
            route: "manajemen-sop",
            variable: "sop_management",
            sub_menu: {
                1: {
                    label: "Pengaturan HRD",
                    icon: "",
                    route: "manajemen-sop/pengaturan-hrd",
                    img: require("../images/theme-1/settings.png"),
                    variable: "hrd_config",
                    action: ["list", "update"],
                },
                2: {
                    label: "Profil Perusahaan",
                    icon: "",
                    route: "manajemen-sop/profil-perusahaan",
                    img: require("../images/theme-2/flats.png"),
                    variable: "company_profile",
                    action: ["list", "update"],
                },
                3: {
                    label: "Struktur Organisasi",
                    icon: "",
                    route: "manajemen-sop/struktur-organisasi",
                    img: require("../images/theme-2/collaboration.png"),
                    variable: "organization_structure",
                    action: [
                        "bagan_organisasi",
                        "list_department",
                        "create_department",
                        "edit_department",
                        "delete_department",
                        "list_position",
                        "create_position",
                        "edit_position",
                        "list_staff_position",
                        "delete_position",
                    ],
                },
                4: {
                    label: "Deskripsi Pekerjaan",
                    icon: "",
                    route: "manajemen-sop/deskripsi-pekerjaan",
                    img: require("../images/theme-2/check-box.png"),
                    variable: "job_description",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                5: {
                    label: "Alur Kerja",
                    icon: "",
                    route: "manajemen-sop/alur-kerja",
                    img: require("../images/theme-2/network-1.png"),
                    variable: "workflow",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                6: {
                    label: "Penghargaan",
                    icon: "",
                    route: "manajemen-sop/penghargaan",
                    img: require("../images/theme-1/gift.png"),
                    variable: "reward",
                    action: [
                        "list_reward",
                        "create_reward",
                        "edit_reward",
                        "delete_reward",
                        "list_reward_staff",
                        "create_reward_staff",
                        "edit_reward_staff",
                        "delete_reward_staff",
                    ],
                },
                7: {
                    label: "Sanksi",
                    icon: "",
                    route: "manajemen-sop/sanksi",
                    img: require("../images/theme-3/justice.png"),
                    variable: "punishment",
                    action: [
                        "list_punishment",
                        "create_punishment",
                        "edit_punishment",
                        "delete_punishment",
                        "list_punishment_staff",
                        "create_punishment_staff",
                        "edit_punishment_staff",
                        "delete_punishment_staff",
                    ],
                },
                8: {
                    label: "Aturan & Regulasi",
                    icon: "",
                    route: "manajemen-sop/aturan-dan-regulasi",
                    img: require("../images/theme-3/justice-scale.png"),
                    variable: "rules_regulation",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
            },
        },
        staff_management: {
            label: "Manajemen Staf",
            icon: "usergroup-delete",
            route: "manajemen-staf",
            variable: "staff_management",
            sub_menu: {
                1: {
                    label: "Data Staf",
                    icon: "",
                    route: "manajemen-staf/data-staf",
                    img: require("../images/theme-2/network.png"),
                    variable: "staff_data",
                    action: ["list", "create", "edit", "delete", "import", "print"],
                },
                2: {
                    label: "Posisi Staf",
                    icon: "",
                    route: "manajemen-staf/posisi-staf",
                    img: require("../images/theme-2/boss-2.png"),
                    variable: "staff_position",
                    action: ["list", "edit"],
                },
                3: {
                    label: "Kontrak Staf",
                    icon: "",
                    route: "manajemen-staf/kontrak-staf",
                    img: require("../images/theme-2/men.png"),
                    variable: "staff_contract",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                4: {
                    label: "Deskripsi Pekerjaan Staf",
                    icon: "",
                    route: "manajemen-staf/deskripsi-pekerjaan-staf",
                    img: require("../images/theme-2/check-mark.png"),
                    variable: "staff_job_description",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                5: {
                    label: "Benefit Staf",
                    icon: "",
                    route: "manajemen-staf/benefit",
                    img: require("../images/theme-2/invention.png"),
                    variable: "staff_benefit",
                    action: ["list_benefit", "create_benefit", "edit_benefit", "delete_benefit", "list_benefit_staff", "edit_benefit_staff"],
                },
                6: {
                    label: "Laporan Pekerjaan Staf",
                    icon: "",
                    route: "manajemen-staf/lapor-pekerjaan",
                    img: require("../images/theme-2/line-graph.png"),
                    variable: "report",
                    action: ["list", "detail"],
                },
                7: {
                    label: "Gaji",
                    icon: "",
                    route: "manajemen-staf/salary",
                    img: require("../images/theme-3/notes-2.png"),
                    variable: "salary",
                    action: [
                        "list_salary_staff",
                        "create_salary_staff",
                        "edit_salary_staff",
                        "delete_salary_staff",
                        "view_salary_staff",
                        "list_history_salary_staff",
                        "view_history_salary_staff",
                        "download_history_salary_staff",
                        "list_salary_template_staff",
                        "edit_salary_template_staff",
                    ],
                },
                8: {
                    label: "Reimburse",
                    icon: "",
                    route: "manajemen-staf/reimburse",
                    img: require("../images/theme-1/unlocked-1.png"),
                    variable: "reimburse",
                    action: ["list_wait", "detail_wait", "confirm_wait", "reject_wait", "list_confirm", "detail_confirm", "list_reject", "detail_reject"],
                },
                9: {
                    label: "Learning & Development",
                    icon: "",
                    route: "manajemen-staf/learning-and-development",
                    img: require("../images/theme-2/school-material-1.png"),
                    variable: "learning_development",
                    action: ["list_wait", "detail_wait", "confirm_wait", "reject_wait", "list_confirm", "detail_confirm", "list_reject", "detail_reject"],
                },
                10: {
                    label: "KPI",
                    icon: "",
                    route: "manajemen-staf/kpi",
                    img: require("../images/theme-3/graph-1.png"),
                    variable: "kpi",
                    action: [
                        // Data KPI
                        "list_all_data_kpi",
                        "create_data_kpi",
                        "preview_data_kpi",
                        "publish_data_kpi",
                        "edit_data_kpi",
                        "delete_data_kpi",
                        "list_wait_data_kpi",
                        "preview_wait_data_kpi",
                        "list_revision_data_kpi",
                        "preview_revision_data_kpi",
                        "list_accept_data_kpi",
                        "preview_accept_data_kpi",

                        // Pengaturan KPI
                        "list_config_kpi",
                        "management_config_kpi",
                        "overview_config_kpi",
                        "management_config_kpi_crud",

                        // Kategori Hasil KPI
                        "list_result_kpi",
                        "create_result_kpi",
                        "edit_result_kpi",
                        "delete_result_kpi",

                        // Periode KPI
                        "list_periode_kpi",
                        "create_periode_kpi",
                        "staff_periode_kpi",
                        "edit_periode_kpi",
                        "delete_periode_kpi",

                        // KPI Footer
                        "list_kpi_footer",
                        "edit_kpi_footer",
                    ],
                },
                11: {
                    label: "Resign",
                    icon: "",
                    route: "manajemen-staf/resign",
                    variable: "resign",
                    img: require("../images/theme-1/close.png"),
                    action: ["list", "detail", "accept", "reject"],
                },
                12: {
                    label: "Pengumuman",
                    icon: "",
                    route: "manajemen-staff/pengumuman",
                    img: require("../images/theme-2/protest.png"),
                    variable: "announcement",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                13: {
                    label: "Berita",
                    icon: "",
                    route: "manajemen-staff/berita",
                    img: require("../images/theme-2/text-lines.png"),
                    variable: "news",
                    action: ["list", "create", "edit", "delete", "view_file"],
                },
                14: {
                    label: "Data Keluarga Staf",
                    icon: "",
                    route: "manajemen-staff/keluarga-staff",
                    img: require("../images/theme-2/network.png"),
                    variable: "staff_family",
                    action: ["list", "detail"],
                },
                15: {
                    label: "Riwayat Pendidikan Staf",
                    icon: "",
                    route: "manajemen-staff/pendidikan-staff",
                    img: require("../images/theme-2/office-material-1.png"),
                    variable: "staff_education_history",
                    action: ["list", "detail"],
                },
                16: {
                    label: "Riwayat Pekerjaan Staf",
                    icon: "",
                    route: "manajemen-staff/pekerjaan-staff",
                    img: require("../images/theme-2/administrator.png"),
                    variable: "staff_job_history",
                    action: ["list", "detail"],
                },
                17: {
                    label: "Riwayat Sertifikasi Staf",
                    icon: "",
                    route: "manajemen-staff/sertifikasi-staff",
                    img: require("../images/theme-4/file-14.png"),
                    variable: "staff_certification_history",
                    action: ["list", "detail"],
                },
                18: {
                    label: "Data Dokumen Staf",
                    icon: "",
                    route: "manajemen-staff/dokumen-staff",
                    img: require("../images/theme-4/notebook-12.png"),
                    variable: "staff_document_history",
                    action: ["list", "detail"],
                },
            },
        },
        staff_attendence: {
            label: "Kehadiran Staf",
            icon: "schedule",
            route: "kehadiran-staf",
            variable: "staff_attendence",
            sub_menu: {
                1: {
                    label: "Jadwal Kerja",
                    icon: "",
                    route: "kehadiran-staf/jadwal-kerja",
                    img: require("../images/theme-4/calendar-23.png"),
                    variable: "schedule",
                    action: ["list", "edit"],
                },
                2: {
                    label: "Day Off",
                    icon: "",
                    route: "kehadiran-staf/day-off",
                    variable: "dayoff",
                    img: require("../images/theme-4/user-42.png"),
                    action: ["calendar_dayoff", "list_dayoff", "create_dayoff", "edit_dayoff", "delete_dayoff"],
                },
                3: {
                    label: "Absen",
                    icon: "",
                    route: "kehadiran-staf/absen",
                    img: require("../images/theme-4/calendar-22.png"),
                    variable: "absence",
                    action: [
                        "list_summary",
                        "detail_summary",
                        "list_manage",
                        "create_manage",
                        "edit_manage",
                        "delete_manage",
                        "import_manage",
                        "list_publish",
                        "do_publish",
                    ],
                },
                4: {
                    label: "Cuti / Ijin",
                    icon: "",
                    route: "kehadiran-staf/cuti",
                    variable: "leave",
                    img: require("../images/theme-1/exit-1.png"),
                    action: [
                        "list_staff_wait",
                        "confirm_staff_wait",
                        "detail_staff_wait",
                        "reject_staff_wait",
                        "list_staff_approved",
                        "detail_staff_approved",
                        "list_staff_confirmed",
                        "detail_staff_confirmed",
                        "list_staff_canceled",
                        "detail_staff_canceled",
                        "list_staff_reject",
                        "detail_staff_reject",

                        "list_kuota",
                        "edit_kuota",

                        "list_leave",
                        "create_leave",
                        "edit_leave",
                        "delete_leave",

                        "list_manage",
                        "create_manage",
                        "edit_manage",
                        "delete_manage",
                        "detail_manage",
                    ],
                },
                5: {
                    label: "Lembur",
                    icon: "",
                    route: "kehadiran-staf/lembur",
                    variable: "overtime",
                    img: require("../images/theme-4/stopwatch-20.png"),
                    action: [
                        "list_wait",
                        "confirm_wait",
                        "detail_wait",
                        "reject_wait",
                        "list_approve",
                        "detail_approve",
                        "list_confirm",
                        "detail_confirm",
                        "list_canceled",
                        "detail_canceled",
                        "list_reject",
                        "detail_reject",
                    ],
                },
                6: {
                    label: "Shift Kerja",
                    icon: "",
                    route: "kehadiran-staf/shift",
                    variable: "shift",
                    img: require("../images/theme-4/calendar-23.png"),
                    action: ["calendar_shift", "list_shift", "create_shift", "edit_shift", "delete_shift"],
                },
            },
        },
        general_data: {
            label: "Data Umum",
            icon: "hdd",
            route: "manajemen-data-umum",
            variable: "general_data",
            sub_menu: {
                // 1: {
                //     label: 'Pengumuman',
                //     icon: '',
                //     route: 'manajemen-data-umum/pengumuman',
                //     img: require('../images/theme-2/protest.png'),
                //     variable: 'announcement',
                //     action: ["list", "create", "edit", "delete"]
                // },
                // 2: {
                //     label: 'Berita',
                //     icon: '',
                //     route: 'manajemen-data-umum/berita',
                //     img: require('../images/theme-2/text-lines.png'),
                //     variable: 'news',
                //     action: ["list", "create", "edit", "delete"]
                // },
                3: {
                    label: "Role & Permission",
                    icon: "",
                    route: "manajemen-data-umum/role-and-permission",
                    img: require("../images/theme-1/key.png"),
                    variable: "role_permission",
                    action: ["list", "create", "edit", "delete"],
                },
                4: {
                    label: "Role User",
                    icon: "",
                    route: "manajemen-data-umum/role-user",
                    img: require("../images/theme-4/user-49.png"),
                    variable: "role_user",
                    action: ["list", "edit"],
                },
                /*                5: {
                                    label: 'Super User',
                                    icon: '',
                                    route: 'super-user',
                                    img: require('../images/theme-2/boss.png')
                                },
                                6: {
                                    label: 'Sosial Media',
                                    icon: '',
                                    route: 'sosial-media',
                                    img: require('../images/theme-2/maps-and-flags-1.png')
                                },*/
                7: {
                    label: "Banner",
                    icon: "",
                    route: "manajemen-data-umum/banner",
                    img: require("../images/theme-1/photos.png"),
                    variable: "banner",
                    action: ["list", "create", "edit", "delete"],
                },
            },
        },

        // STAFF ACCESS MENU //
        personal_menu: {
            label: "Menu Personal",
            icon: "user",
            route: "menu-personal",
            variable: "personal_menu",
            sub_menu: {
                0: {
                    label: "Change Staff",
                    icon: "",
                    route: "menu-personal/staf-profil",
                    img: require("../images/theme-1/agenda.png"),
                    variable: "change_staff",
                    action: ["list", "create", "edit", "delete"],
                },
                1: {
                    label: "Profil Staf",
                    icon: "",
                    route: "menu-personal/profil-staf",
                    img: require("../images/theme-1/agenda.png"),
                    variable: "profile_staff",
                    action: ["list", "edit"],
                },
                2: {
                    label: "KPI",
                    icon: "",
                    route: "menu-personal/kpi",
                    img: require("../images/theme-2/bars-chart.png"),
                    variable: "kpi",
                    action: [
                        // Persetujuan KPI
                        "list_approve_kpi",
                        "preview_approve_kpi",
                        "approve_approve_kpi",
                        "revision_approve",

                        // KPI Feedback
                        "kpi_feedback_list",

                        // Statistik
                        "statistic_kpi",

                        // History
                        "history_kpi_list",
                        "preview_kpi_list",

                        // Periode,
                        "period_kpi_list",
                        "period_kpi_preview",
                    ],
                },
                3: {
                    label: "Gaji",
                    icon: "",
                    route: "menu-personal/gaji",
                    img: require("../images/theme-3/notes-2.png"),
                    variable: "salary",
                    action: ["list", "download"],
                },
                4: {
                    label: "Absen",
                    icon: "",
                    route: "menu-personal/absen",
                    img: require("../images/theme-4/calendar-22.png"),
                    variable: "absence",
                    action: ["list"],
                },
                5: {
                    label: "Deskripsi Pekerjaan",
                    icon: "",
                    route: "menu-personal/deskripsi-pekerjaan",
                    img: require("../images/theme-2/check-box.png"),
                    variable: "job_description",
                    action: ["list"],
                },
                6: {
                    label: "Kontrak Pekerjaan",
                    icon: "",
                    route: "menu-personal/kontrak-pekerjaan",
                    img: require("../images/theme-2/men.png"),
                    variable: "job_contract",
                    action: ["list", "preview"],
                },
                7: {
                    label: "Data Keluarga",
                    icon: "",
                    route: "menu-personal/data-keluarga",
                    img: require("../images/theme-2/network.png"),
                    variable: "family_data",
                    action: ["list", "create", "edit", "delete"],
                },
                8: {
                    label: "Data Riwayat Pendidikan",
                    icon: "",
                    route: "menu-personal/data-riwayat-pendidikan",
                    img: require("../images/theme-2/office-material-1.png"),
                    variable: "education_history",
                    action: ["list", "create", "edit", "delete", "preview"],
                },
                9: {
                    label: "Data Riwayat Pekerjaan",
                    icon: "",
                    route: "menu-personal/data-riwayat-pekerjaan",
                    img: require("../images/theme-2/administrator.png"),
                    variable: "job_history",
                    action: ["list", "create", "edit", "delete", "preview"],
                },
                10: {
                    label: "Data Sertifikasi Staff",
                    icon: "",
                    route: "menu-personal/data-sertifikasi-staff",
                    img: require("../images/theme-4/file-14.png"),
                    variable: "certification_staff",
                    action: ["list", "create", "edit", "delete", "preview"],
                },
                11: {
                    label: "Dokumen Staff",
                    icon: "",
                    route: "menu-personal/dokumen-staff",
                    img: require("../images/theme-4/notebook-12.png"),
                    variable: "document_staff",
                    action: ["list", "create", "edit", "delete", "preview"],
                },
                12: {
                    label: "Resign",
                    icon: "",
                    route: "menu-personal/resign",
                    img: require("../images/theme-1/close.png"),
                    variable: "resign",
                    action: ["list", "create", "detail"],
                },
                13: {
                    label: "Shift Kerja",
                    icon: "",
                    route: "menu-personal/shift-kerja",
                    img: require("../images/theme-4/calendar-23.png"),
                    variable: "shift",
                    action: ["preview_shift"],
                },
                14: {
                    label: "Penghargaan",
                    icon: "",
                    route: "menu-personal/penghargaan",
                    img: require("../images/theme-1/gift.png"),
                    variable: "reward",
                    action: ["list"],
                },
                15: {
                    label: "Sanksi",
                    icon: "",
                    route: "menu-personal/sanksi",
                    img: require("../images/theme-3/justice.png"),
                    variable: "punishment",
                    action: ["list"],
                },
                16: {
                    label: "Pelatihan",
                    icon: "",
                    route: "menu-personal/pelatihan",
                    img: require("../images/theme-2/school-material-1.png"),
                    variable: "learning_development",
                    action: ["list", "create", "edit", "delete", "preview", "publish"],
                },
                17: {
                    label: "Benefit Staf",
                    icon: "",
                    route: "menu-personal/benefit",
                    img: require("../images/theme-2/invention.png"),
                    variable: "benefit_staff",
                    action: ["list"],
                },
            },
        },
        key_activity: {
            label: "Aktivitas Staf",
            icon: "key",
            route: "aktivitas-staf",
            variable: "key_activity",
            sub_menu: {
                // 1: {
                //     label: 'Daftar Persetujuan',
                //     icon: '',
                //     route: 'aktivitas-staf/daftar-approval',
                //     img: require('../images/theme-4/file-14.png'),
                //     variable: 'approval_list',
                //     action: ["list", "edit"],
                // },
                // 2: {
                //     label: 'Laporan Pekerjaan',
                //     icon: '',
                //     route: 'aktivitas-staf/laporan-pekerjaan',
                //     img: require('../images/theme-2/stats-1.png'),
                //     variable: 'work_report',
                //     action: ["list", "create", "edit", "delete"],
                // },
                3: {
                    label: "Cuti / Ijin",
                    icon: "",
                    route: "aktivitas-staf/cuti",
                    img: require("../images/theme-4/user-37.png"),
                    variable: "leave",
                    action: ["list", "create", "edit", "delete", "cancel", "publish", "detail"],
                },
                4: {
                    label: "Reimburse",
                    icon: "",
                    route: "aktivitas-staf/reimburse",
                    img: require("../images/theme-1/unlocked-1.png"),
                    variable: "claim",
                    action: ["list", "create", "edit", "delete", "detail", "publish", "detail"],
                },
                5: {
                    label: "Lembur",
                    icon: "",
                    route: "aktivitas-staf/lembur",
                    img: require("../images/theme-4/stopwatch-20.png"),
                    variable: "overtime",
                    action: ["list", "create", "detail", "edit", "delete", "publish", "detail"],
                },
                // 6: {
                //     label: 'Lapor Pekerjaan Harian',
                //     icon: '',
                //     route: 'aktivitas-staf/report',
                //     img: require('../images/theme-4/stopwatch-20.png'),
                //     variable: 'overtime',
                //     action: ["view", "update"],
                // },
                7: {
                    label: "Laporan Pekerjaan",
                    icon: "",
                    route: "aktivitas-staf/laporan-pekerjaan",
                    img: require("../images/theme-2/line-graph.png"),
                    variable: "report",
                    action: ["list", "manage"],
                },
            },
        },
        my_company: {
            label: "Menu Perusahaan",
            icon: "code-sandbox",
            route: "menu-perusahaan",
            variable: "my_company",
            sub_menu: {
                1: {
                    label: "Profil Perusahaan",
                    icon: "",
                    route: "menu-perusahaan/profil-perusahaan",
                    img: require("../images/theme-2/flats.png"),
                    variable: "company_profile",
                    action: ["list"],
                },
                2: {
                    label: "Alur Kerja",
                    icon: "",
                    route: "menu-perusahaan/alur-kerja",
                    img: require("../images/theme-2/network-1.png"),
                    variable: "workflow",
                    action: ["list", "preview"],
                },
                3: {
                    label: "Aturan & Regulasi",
                    icon: "",
                    route: "menu-perusahaan/aturan-regulasi",
                    img: require("../images/theme-3/justice-scale.png"),
                    variable: "rules_regulation",
                    action: ["list", "preview"],
                },
                4: {
                    label: "Panduan Penghargaan",
                    icon: "",
                    route: "menu-perusahaan/panduan-penghargaan",
                    img: require("../images/theme-1/gift.png"),
                    variable: "reward_guide",
                    action: ["list"],
                },
                5: {
                    label: "Panduan Sanksi",
                    icon: "",
                    route: "menu-perusahaan/panduan-sanksi",
                    img: require("../images/theme-3/justice.png"),
                    variable: "punishment_guide",
                    action: ["list"],
                },
                7: {
                    label: "Hari Libur",
                    icon: "",
                    route: "menu-perusahaan/hari-libur",
                    img: require("../images/theme-4/user-42.png"),
                    variable: "dayoff",
                    action: ["preview"],
                },
                8: {
                    label: "Struktur Organisasi",
                    icon: "",
                    route: "menu-perusahaan/struktur-organisasi",
                    img: require("../images/theme-2/collaboration.png"),
                    variable: "organization_structure",
                    action: ["preview"],
                },
                9: {
                    label: "Pengumuman",
                    icon: "",
                    route: "menu-perusahaan/pengumuman",
                    img: require("../images/theme-2/protest.png"),
                    variable: "announcement",
                    action: ["list", "view_file"],
                },
                10: {
                    label: "Berita",
                    icon: "",
                    route: "menu-perusahaan/berita",
                    img: require("../images/theme-2/text-lines.png"),
                    variable: "news",
                    action: ["list", "view_file"],
                },
            },
        },
    },
    fieldName: {
        staff: {},
    },
    yearFirst: 2019,
    yearUntil: parseInt(yearToDay()) + parseInt(10),
    monthList: {
        1: "Januari",
        2: "Februari",
        3: "Maret",
        4: "April",
        5: "Mei",
        6: "Juni",
        7: "Juli",
        8: "Agustus",
        9: "September",
        10: "Oktober",
        11: "Nopember",
        12: "Desember",
    },
};

export default GENERALDATA;
